Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000582Core InformSource text and punctuationpublic2011-02-24 16:102014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000582: Segmentation fault when the text ``relates to'' appears in a declarative context
DescriptionThis is reduced from a case where I accidentally used a full stop where I meant a semicolon while editing 0000581's source text.
Minimal Source Text To Reproduce
There is a room.
Let V be the humor that relates to the player by the humorism relation. [accidentally outside of phrase]

Additional InformationProgram received signal EXC_BAD_ACCESS, Could not access memory.
Reason: KERN_PROTECTION_FAILURE at address: 0x00000008
0x000087a6 in Text__Vocabulary__get_kind ()
(gdb) bt
#0 0x000087a6 in Text__Vocabulary__get_kind ()
#1 0x000a2991 in Parser__SParser__SP_kind ()
#2 0x000a2c86 in Kinds__parse ()
#3 0x00116117 in parse_relation_term_type ()
#4 0x001217b3 in parse_new_relation_further ()
#5 0x000a3673 in Parser__Assertions__traverse ()
#6 0x0012b932 in Config__Template__interpret ()
#7 0x001314bc in main ()
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships
related to 0001154closedgraham Compiler hangs on attempt to add relation as attribute. 

-  Notes
(0001186)
jmcgrew (administrator)
2011-05-30 22:06

On Windows, this results in a code 10 compiler error.
(0001333)
graham (administrator)
2011-10-08 01:53

I can't duplicate this bug; it doesn't seem to occur with the new syntax analyser. You get a problem message which is slightly baffled, but then, it's a slightly baffling input.

- Issue History
Date Modified Username Field Change
2011-02-24 16:10 EmacsUser New Issue
2011-02-24 20:45 jmcgrew Status new => acknowledged
2011-05-30 22:06 jmcgrew Note Added: 0001186
2011-05-30 22:06 jmcgrew Status acknowledged => confirmed
2011-10-08 01:53 graham Note Added: 0001333
2011-10-08 01:53 graham Status confirmed => resolved
2011-10-08 01:53 graham Resolution open => fixed
2011-10-08 01:53 graham Assigned To => graham
2013-12-04 17:19 zarf Relationship added related to 0001154
2014-01-05 10:14 EmacsUser Relationship added has duplicate 0001121
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker